Subject: Ticket Assigned - Returns
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Mon, 16 Jan 2023 11:00:16 +0000

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I wish to make a serious complaint about your store in festival mall specifically but have had equally bad experiences in your other stores!! I ordered clothing online and needed to return it . You say you can return to a splash shop but they refused! I eventually returned at Mirdif but because I paid with PayPal they would not give me a refund after waiting at the return desk for 20 minutes at least I was forced to take 2 credit notes which I was  unable or to use online!!! So forced to go to yet another of your inefficient stores!  I waited at festival for 30 minutes trying to redeem a credit note for 39 and 191 dirhams. Of course the machine would only accept the 39 but not the 191! I called for a manager! Who could do nothing! She said they would email somebody to get authority! This is money that you owe me! I went for lunch and returned 1 1/2 hours later to say they have not heard!’ 5 members of staff around me saying g we have emailed our IT. I suggested they give me the money that you owe me and keep the credit notes! Eventually after another 20 minutes I left absolutely disgusted and took the credit notes with me!’I realise you make it so difficult to use the credit notes that you hope people will give up!!! I am disgusted and would like your response to this complaint. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5582966